Name:           jimtcl
Version:        0.73
Release:        1%{?dist}
Summary:        A small embeddable Tcl interpreter

License:        BSD
Group:          Development/Languages
URL:            http://jim.tcl.tk
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
# git archive --prefix=%{name}-%{version}/ --remote git://repo.or.cz/jimtcl.git -o %{name}-%{version}.tar.xz %{version}
Source0:        %{name}-%{version}.tar.xz
Patch0:         jimtcl-dont_delete_source_files.patch
Patch1:         jimtcl-fix_hardcoded_install_paths.patch
Patch2:         jimtcl-fix_doc_paths.patch

BuildRequires:  asciidoc 
#Requires:       

%description
Jim is an opensource small-footprint implementation of the Tcl programming 
language. It implements a large subset of Tcl and adds new features like 
references with garbage collection, closures, built-in Object Oriented 
Programming system, Functional Programming commands, first-class arrays and 
UTF-8 support.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0
%patch1
%patch2

%build
#configure is not able to locate the needed binaries, so specify it manualy
export CC=gcc
export LD=ld
export AR=ar
export RANLIB=ranlib
export STRIP=strip

%configure --full --shared --disable-option-checking
make %{?_smp_mflags}

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%make_install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc LICENSE AUTHORS README
%doc %{_docdir}/%{name}/Tcl.html
%{_bindir}/jimsh
%{_libdir}/libjim.so

%files devel
%defattr(-,root,root,-)
%doc DEVELOPING
%doc %{_docdir}/%{name}/README.extensions
%{_includedir}/*
%{_bindir}/build-jim-ext


%changelog
* Sun May 05 2013 Markus Mayer <lotharlutz@gmx.de> - 0.73-1
- inital prm release

